package com.fzfd.web;

import javax.servlet.http.HttpServletRequest;

/**
 * Title:        ACG Sample project for DDJ
 * Description:
 * Copyright:    Copyright (c) 2004
 * Company:      FuzzyFind Corporation
 * @author Efraim Berkovich
 * @version 1.0
 */

public class InLoginMessage extends Message
{

  public static String FIELD_USER_ID = "uid";
  public static String FIELD_PASSWORD = "pwd";

  public InLoginMessage( HttpServletRequest request )
  {
    super( request );
  }

  public String getUserID()
  {
    return this.getPropertyAsStringOrBlank( FIELD_USER_ID );
  }

  public String getPassword()
  {
    return this.getPropertyAsStringOrBlank( FIELD_PASSWORD );
  }
}